Initrd question

Hi,

When I run mkinitrd I see some module that will not be installed.
Are those modules important or they were strip from opneSUSE 13.2 and not needed

See attached

 # mkinitrd
Creating initrd: /boot/initrd-3.16.6-2-desktop
Executing: /usr/bin/dracut --logfile /var/log/YaST2/mkinitrd.log --force /boot/initrd-3.16.6-2-desktop 3.16.6-2-desktop
dracut module 'fcoe-uefi' will not be installed, because command 'dcbtool' could not be found!
dracut module 'fcoe-uefi' will not be installed, because command 'fipvlan' could not be found!
dracut module 'fcoe-uefi' will not be installed, because command 'lldpad' could not be found!
dracut module 'fcoe-uefi' will not be installed, because command 'dcbtool' could not be found!
dracut module 'fcoe-uefi' will not be installed, because command 'fipvlan' could not be found!
dracut module 'fcoe-uefi' will not be installed, because command 'lldpad' could not be found!

I don’t know exactly what fcoe-uefi is, but if your system boots fine without it, it doesn’t really seem to be important for you… :wink:

Seems to be network boot for UEFI:
ftp://ftp.supermicro.com/CDR-NIC_1.31_for_Add-on_NIC_Cards/Intel/LAN/APPS/FCOEBOOT/DOCS/firmware.htm

To get that module working, see this:

# cnf dcbtool                       
The program 'dcbtool' can be found in the following package:
  * open-lldp  path: /usr/sbin/dcbtool, repository: zypp (openSUSE-13.2-1.28) ]

Try installing with:
    sudo zypper install open-lldp

# cnf fipvlan
The program 'fipvlan' can be found in the following package:
  * fcoe-utils  path: /usr/sbin/fipvlan, repository: zypp (openSUSE-13.2-1.28) ]

Try installing with:
    sudo zypper install fcoe-utils

# cnf lldpad     
The program 'lldpad' can be found in the following package:
  * open-lldp  path: /usr/sbin/lldpad, repository: zypp (openSUSE-13.2-1.28) ]

Try installing with:
    sudo zypper install open-lldp

Hi thanks for your reply.
I can boot fine but even though the kernel parameters are set to quite there’s still messages spewing when grub2 boot
and the messages are not properly arrange in a straight manner, I think I need a camera to take a picture of it but my camera
is using exfat and 13.2 doesn’t recognize it even though exfat-fuse is already installed.
I will post it in another thread.
Out of curiosity does your 13.2 show those missing packages when you run mkinitrd?

By the way network boot is disabled in the bios if it is relevant.

There is already one:
https://forums.opensuse.org/showthread.php/502592-13-2-exfat?p=2677758#post2677758

But you posted there already anyway…

Maybe you’d find those messages in /var/log/boot.log, /var/log/messages, or “journalctl”?

Out of curiosity does your 13.2 show those missing packages when you run mkinitrd?

No. But I don’t even have an UEFI system.

By the way network boot is disabled in the bios if it is relevant.

Well, if you don’t want to boot from a remote host, this should not matter at all.

I don’t know what the fcoe-util initrd module is for exactly, but you shouldn’t need it anyway.
But you can install those two packages to silence that dracut error message, or maybe you can somehow configure to not try to include the fcoe-util module into the initrd, probably by adding it to the omit_dracutmodules line in /etc/dracut.conf, or by creating a file in /etc/dracut.d/ which contains omit_dracutmodules+=“fcoe-uefi”.

Ok, thanks for your help and pointers.:good: